Name:          java-libpst
Version:       0.8.1
Release:       %mkrel 12
Group:         Development/Java
Summary:       A pure Java library for the reading of Outlook PST and OST files
# see https://github.com/rjohnsondev/java-libpst/issues/23
License:       ASL 2.0 and LGPLv3
URL:           https://github.com/rjohnsondev/java-libpst/
Source0:       https://github.com/rjohnsondev/java-libpst/archive/%{version}.tar.gz
Source1:       https://www.gnu.org/licenses/lgpl.txt
BuildRequires: mvn(junit:junit)
BuildRequires: maven-local
BuildArch:     noarch

%description
A library to read PST files with java,
without need for external libraries.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
find -name '*.class' -print -delete
find -name '*.jar' -print -delete

%pom_xpath_set "pom:project/pom:version" %{version}
cp -p %{SOURCE1} LICENSE.LGPL.txt
sed -i 's/\r//' LICENSE.*.txt README.txt

%mvn_file com.pff:%{name} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md README.txt
%license LICENSE.APACHE-2.0.txt LICENSE.LGPL.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.APACHE-2.0.txt LICENSE.LGPL.txt



%changelog
* Fri May 24 2024 ns80 <ns80> 0.8.1-12.mga10
+ Revision: 2067045
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 0.8.1-11.mga9
+ Revision: 1827299
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.8.1-10.mga8
+ Revision: 1491280
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.8.1-9.mga7
+ Revision: 1263003
- Mageia 7 Mass Rebuild

* Wed Mar 02 2016 neoclust <neoclust> 0.8.1-8.mga6
+ Revision: 982620
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 0.8.1-7.mga6
+ Revision: 976457
- First rebuild of the java stack
- sync package java-libpst with fedora

